/*******************************************************************************************************************************//**
 *
 * @file		DR_Buzzer.c
 * @brief		Descripcion del modulo
 * @date		14 de nov. de 2017
 * @author		Ing. Marcelo Trujillo
 *
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** INCLUDES
 **********************************************************************************************************************************/
#include "DR_Buzzer.h"

/***********************************************************************************************************************************
 *** DEFINES PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** MACROS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TIPOS DE DATOS PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TABLAS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PUBLICAS
 **********************************************************************************************************************************/
volatile uint8_t BufferBuzzer;		//!< Buffer de estado del Buzzer

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** PROTOTIPO DE FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES GLOBALES AL MODULO
 **********************************************************************************************************************************/
/**
	\fn  void RefrescoBuzzer( void )
	\brief Refresca el estadp del buzzer
 	\author Ing. Marcelo Trujillo
 	\date 14 de nov. de 2017
 	\param void
 	\return void
*/
void RefrescoBuzzer( void )
{
	SetPIN ( BUZZER , ( BufferBuzzer >> 0 ) & 1 );
}

/**
	\fn  void InicializarBuzzer( void )
	\brief Inicializa pin de control de, Buzzer
 	\author Ing. Marcelo Trujillo
 	\date 14 de nov. de 2017
 	\param void
 	\return void
*/
void InicializarBuzzer( void )
{
	//!< Inicializar Buzzer
	SetPINSEL(BUZZER,FUNCION_GPIO);
	SetDIR( BUZZER , SALIDA);
	SetPIN( BUZZER , ON);
}

